function main(self)
	local claw = GetClaw()
	if self.State == 0 then
		self.State = 1
		self.Flags.AlwaysActive, self.DrawFlags.NoDraw = true, true
	end

	-- Moon gravity:
	if self.State == 1 and claw:InMinMax(self) then
		MultClawSpeed(0.75)
		SetNormalJumpHeight(292)
		SetRunningJumpHeight(292)
		SetCatnipJumpHeight(292)
		SetJordanJumpHeight(292)
		SetClawFallSpeedCap(500)
		self.State = 2
	end

	-- Normal gravity:
	if self.State == 2 and not claw:InMinMax(self) then
		MultClawSpeed(1)
		SetNormalJumpHeight(145)
		SetRunningJumpHeight(170)
		SetCatnipJumpHeight(195)
		SetJordanJumpHeight(195)
		SetClawFallSpeedCap(1000)
		self.State = 1
	end
end